<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/other_income.php';
session_start();
date_default_timezone_set('Asia/Rangoon');

$database = new Database();
$db = $database->getConnection();
 
$other_income = new OtherIncome($db);
$data = json_decode(file_get_contents("php://input"));

$other_income->invoice_no = $data->ino;
$other_income->date = $data->date;
$other_income->particular = $data->particular;
$other_income->quantity = $data->quantity;
$other_income->amount = $data->amount;
$other_income->city = $data->city;
$other_income->entry_by = isset($_SESSION['user'])?$_SESSION['user']:"";
$other_income->entry_date_time = date("Y-m-d H:i:s");
if($other_income->create()){
	$arr = array(
		"message" => "created",
		"id" => $other_income->id
	);
}else{
	$arr = array(
		"message" => "error" 
	);
}
echo json_encode($arr);
?>